Public Attributes | List of all members
ths_c_handles_t Struct Reference
BLE Services » Throughput Service Client (THS_C) » Structures

Handles on the connected peer device needed to interact with it. More...

`#include <ths_c.h>`

## Public Attributes
uint16_t | ths_srvc_start_handle
| THS Service start handle. More...
uint16_t | ths_srvc_end_handle
| THS Service end handle. More...
uint16_t | ths_tx_handle
| THS Tx characteristic handle which has been got from peer. More...
uint16_t | ths_tx_cccd_handle
| THS Tx characteristic CCCD handle which has been got from peer. More...
uint16_t | ths_rx_handle
| THS Rx characteristic handle which has been got from peer. More...
uint16_t | ths_setting_handle
| THS setting characteristic handle which has been got from peer. More...
uint16_t | ths_setting_cccd_handle
| THS setting characteristic CCCD handle which has been got from peer. More...
uint16_t | ths_toggle_handle
| THS toggle characteristic handle which has been got from peer. More...

## Detailed Description

Handles on the connected peer device needed to interact with it.

Definition at line 136 of file ths_c.h.

## Member Data Documentation

## ◆ ths_rx_handle

uint16_t ths_c_handles_t::ths_rx_handle

THS Rx characteristic handle which has been got from peer.

Definition at line 142 of file ths_c.h.

## ◆ ths_setting_cccd_handle

uint16_t ths_c_handles_t::ths_setting_cccd_handle

THS setting characteristic CCCD handle which has been got from peer.

Definition at line 144 of file ths_c.h.

## ◆ ths_setting_handle

uint16_t ths_c_handles_t::ths_setting_handle

THS setting characteristic handle which has been got from peer.

Definition at line 143 of file ths_c.h.

## ◆ ths_srvc_end_handle

uint16_t ths_c_handles_t::ths_srvc_end_handle

THS Service end handle.

Definition at line 139 of file ths_c.h.

## ◆ ths_srvc_start_handle

uint16_t ths_c_handles_t::ths_srvc_start_handle

THS Service start handle.

Definition at line 138 of file ths_c.h.

## ◆ ths_toggle_handle

uint16_t ths_c_handles_t::ths_toggle_handle

THS toggle characteristic handle which has been got from peer.

Definition at line 145 of file ths_c.h.

## ◆ ths_tx_cccd_handle

uint16_t ths_c_handles_t::ths_tx_cccd_handle

THS Tx characteristic CCCD handle which has been got from peer.

Definition at line 141 of file ths_c.h.

## ◆ ths_tx_handle

uint16_t ths_c_handles_t::ths_tx_handle

THS Tx characteristic handle which has been got from peer.

Definition at line 140 of file ths_c.h.

The documentation for this struct was generated from the following file:

- ths_c.h